/* Core Values Section */
#services-offered {
    text-align: center;
    /* padding: 50px 20px; */
    min-height: 100vh; /* Ensures the section takes up at least the full viewport height */
    padding: 8% 0; /* Adjust padding for better spacing */
    background: linear-gradient(to right, rgb(127, 66, 232), rgb(191, 78, 219), rgb(229, 83, 124)); /* Gradient background */
  }
  
  #services-offered h2 {
    font-size: 2rem;
    margin-bottom: 30px;
    color: white;
  }
  
  .services-offered-container {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
  }
  
  .services-offered-card {
    background: white;
    /* border: 5px solid #d90990; */
    border-radius: 8px;
    box-shadow: 0 4px 6px rgba(0, 0, 0, 0.1);
    padding: 15px;
    width: 380px;
    text-align: center;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
  }

    /* Border Animation */ 
  .services-offered-card::before {
      content: "";
      position: absolute;
      top: 0;
      left: 0;
      width: 0%;
      height: 8px;
      background: rgb(0, 0, 0);
      transition: width 0.5s ease-in-out;
  }
 
  .services-offered-card:hover::before {
      width: 100%;
  }
  
  .services-offered-card:hover {
    transform: translateY(-5px);
    box-shadow: 0 6px 12px rgba(0, 0, 0, 0.15);
  }
  
  .services-offered-card .icon {
    font-size: 2.5rem;
    color: blue;
    margin-bottom: 15px;
  }
  
  .services-offered-card h3 {
    font-size: 1.5rem;
    color: black;
    margin-bottom: 10px;
  }
  

  @media (max-width: 768px) {
    .services-offered-card {
      width: 80%; /* Adjust width for smaller screens */
      padding: 30px; /* Adjust padding for smaller screens */
    }

    #services-offered h2 {
      font-size: 1.3rem;
      margin-bottom: 30px;
    }

    .services-offered-card h3 {
      font-size: 1rem;
      margin-bottom: 10px;
    }

    .services-offered-card .icon img {
      width: 100px;
      height: 100px;
    }
  }

  @media (max-width: 480px) {
    .services-offered-card {
      width: 80%; /* Adjust width for smaller screens */
      padding: 30px; /* Adjust padding for smaller screens */
    }

    #services-offered h2 {
      font-size: 1.3rem;
      margin-bottom: 30px;
    }

    .services-offered-card h3 {
      font-size: 1rem;
      margin-bottom: 10px;
    }
  }

  @media (max-width:425px) {
    .services-offered-card {
      width: 80%; /* Adjust width for smaller screens */
      padding: 30px; /* Adjust padding for smaller screens */
    }

    #services-offered h2 {
      font-size: 1.3rem;
      margin-bottom: 30px;
    }

    .services-offered-card h3 {
      font-size: 1rem;
      margin-bottom: 10px;
    }
  }

  @media (max-width:414px) {
    .services-offered-card {
      width: 80%; /* Adjust width for smaller screens */
      padding: 30px; /* Adjust padding for smaller screens */
    }

    #services-offered h2 {
      font-size: 1.3rem;
      margin-bottom: 30px;
    }

    .services-offered-card h3 {
      font-size: 1rem;
      margin-bottom: 10px;
    }
  }

  @media (max-width:375px) {
    .services-offered-card {
      width: 80%; /* Adjust width for smaller screens */
      padding: 30px; /* Adjust padding for smaller screens */
    }

    #services-offered h2 {
      font-size: 1.3rem;
      margin-bottom: 30px;
    }

    .services-offered-card h3 {
      font-size: 1rem;
      margin-bottom: 10px;
    }
  }

  @media (max-width:360px) {
    .services-offered-card {
      width: 80%; /* Adjust width for smaller screens */
      padding: 30px; /* Adjust padding for smaller screens */
    }

    #services-offered h2 {
      font-size: 1.3rem;
      margin-bottom: 30px;
    }

    .services-offered-card h3 {
      font-size: 1rem;
      margin-bottom: 10px;
    }
  }

  @media (max-width:320px) {
    .services-offered-card {
      width: 80%; /* Adjust width for smaller screens */
      padding: 30px; /* Adjust padding for smaller screens */
    }

    #services-offered h2 {
      font-size: 1.3rem;
      margin-bottom: 30px;
    }

    .services-offered-card h3 {
      font-size: 1rem;
      margin-bottom: 10px;
    }
  }